package com.yeejoin.amos.fas.client.invoke;

public class FmeaMessage {

    private Long handId;

    private String norifyFrom;

    private String userName;

    /**
     * 设备名称或者巡检点名称
     */
    private String relationName;

    private String checkStatus;




    public FmeaMessage(Long handId, String norifyFrom,String userName) {
        this.handId = handId;
        this.norifyFrom = norifyFrom;
        this.userName = userName;
    }

    public FmeaMessage(Long handId, String norifyFrom) {
        this.handId = handId;
        this.norifyFrom = norifyFrom;
    }


    public FmeaMessage(Long handId, String norifyFrom,String userName, String relationName, String checkStatus) {
        this.handId = handId;
        this.norifyFrom = norifyFrom;
        this.userName = userName;
        this.relationName = relationName;
        this.checkStatus = checkStatus;
    }


    public Long getHandId() {
        return handId;
    }

    public void setHandId(Long handId) {
        this.handId = handId;
    }

    public String getNorifyFrom() {
        return norifyFrom;
    }

    public void setNorifyFrom(String norifyFrom) {
        this.norifyFrom = norifyFrom;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }
}
